Name:           pmount
Version:        0.9.13
Release:        1%{?dist}
Summary:        Enable normal user mount

Group:          System Environment/Base
License:        GPL
URL:            http://www.piware.de/projects.shtml
Source0:        http://www.piware.de/projects/pmount-%{version}.tar.gz
# don't set the setuid bits during make install
Patch0:         pmount-0.9.13-nosetuid.patch
Patch1:         pmount-0.9.13-keeppublic.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  intltool gettext pkgconfig
BuildRequires:  libsysfs-devel hal-devel
Requires:       cryptsetup-luks

%description
pmount  ("policy mount") is a wrapper around the standard mount program
which permits normal users to mount removable devices without a  
matching /etc/fstab entry.

Be warned that pmount is installed setuid root.

%prep
%setup -q
%patch0 -p1 -b .nosetuid
%patch1 -p1 -b .keeppublic

%build
# mount, umount and cryptsetup path are right and don't use rpm macros,
# so the corresponding configure options are not used.
%configure \
  --with-lock-dir=%{_localstatedir}/lock/pmount \
  --with-whitelist=%{_sysconfdir}/pmount.allow

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS README.devel TODO COPYING ChangeLog
%config(noreplace) %{_sysconfdir}/pmount.allow
%attr(4755,root,root) %{_bindir}/pmount
%attr(4755,root,root) %{_bindir}/pumount
%{_bindir}/pmount-hal
%{_mandir}/man1/p*mount*.1*

%changelog
* Sun Sep 24 2006 Patrice Dumas <pertusus@free.fr> 0.9.13-1
- initial packaging
